precision mediump float;

uniform sampler2D textureUnit0;
uniform sampler2D textureUnit1;

varying vec2 texCoord0;
varying vec2 texCoord1;
varying vec4 fogVertexColor;

varying float fc;
varying float mfc;
varying vec4 maxfc;

void main (void) {
	gl_FragColor = (texture2D(textureUnit0, texCoord0) * fc + texture2D(textureUnit1, texCoord1)*mfc) * maxfc;
}