precision highp float;

uniform sampler2D textureUnit0;
uniform sampler2D textureUnit1;

varying vec2 texCoord0;
uniform float time;

varying vec4 vertexColor;
varying vec4 fogVertexColor;

void main (void) {
	vec2 add=vec2(time, time);
	vec2 offset = texture2D(textureUnit1, texCoord0).xy;
	vec4 col0 = texture2D(textureUnit0, texCoord0+offset+add);

	gl_FragColor = vertexColor*col0 + fogVertexColor;
}