precision mediump float;

uniform sampler2D textureUnit0;
uniform sampler2D textureUnit1;

varying vec2 texCoord0;
varying vec2 texCoord1;

varying vec4 vertexColor;
varying vec4 fogVertexColor;

void main (void) {
	gl_FragColor = vertexColor*texture2D(textureUnit0, texCoord0)*texture2D(textureUnit1, texCoord1) + fogVertexColor;
	
}