precision highp float;

varying vec2 texCoord;
varying vec4 vertexColor;
varying float fogWeight;

uniform sampler2D textureUnit0;

void main ()
{
	gl_FragColor = vertexColor*texture2D(textureUnit0, texCoord) * fogWeight;
}