precision mediump float;

uniform sampler2D textureUnit0;

varying vec2 texCoord0;

varying vec4 vertexColor;
varying vec4 fogVertexColor;

void main (void) {

	gl_FragColor = vertexColor*texture2D(textureUnit0, texCoord0) + fogVertexColor;
	float r=gl_FragColor.a;
	
	if (r<0.9) {
		if (r==0.0) {
			discard;
		} else if ( r > 0.8 ) {
	    	if ( ( mod(gl_FragCoord.x + 1.0, 4.001) + mod(gl_FragCoord.y + 2.0, 4.0) ) > 7.00) {
	       		 discard;
	    	}
		}
		else if ( r > 0.7 ) {
	    	if ( ( mod(gl_FragCoord.x + 1.0, 4.001) + mod(gl_FragCoord.y + 1.0, 4.0) ) > 6.00) {
	       		 discard;
	    	}
		}
		else if ( r > 0.5 ) {
	    	if ( ( mod(gl_FragCoord.x, 4.001) + mod(gl_FragCoord.y + 2.0, 4.0) ) > 5.00 ) {
	        	discard;
	    	}
		}
		else if ( r > 0.3 ) {
	    	if ( ( mod(gl_FragCoord.x + 2.0, 4.001) + mod(gl_FragCoord.y, 4.0) ) > 4.00 ) {
	        	discard;
	   		}
		}
		else if ( r > 0.2 ) {
	    	if ( ( mod(gl_FragCoord.x + 2.0, 4.001) + mod(gl_FragCoord.y + 2.0, 4.0) ) > 3.00 ) {
	        	discard;
	    	}
		}
		else if ( r > 0.1 ) {
	    	if ( ( mod(gl_FragCoord.x, 4.001) + mod(gl_FragCoord.y, 4.0) ) > 2.00 ) {
	        	discard;
	    	}
		} else {
			discard;
		}
	}
}