attribute vec2 texture0;
attribute vec2 texture1;
attribute vec4 position;

uniform mat4 modelViewProjectionMatrix; 

uniform vec3 fogColor;

varying vec2 texCoord0;
varying vec2 texCoord1;
varying vec4 fogVertexColor;

varying float fc;
varying float mfc;
varying vec4 maxfc;

void main(void)
{
	texCoord0=texture0;
	texCoord1=texture1;
	fogVertexColor = vec4(fogColor, 1.0);
	
	fc=fogVertexColor.g+0.04;
	mfc=1.0-fc;
	
	maxfc=max(fogVertexColor, vec4(0.6,0.6,0.7,1.0));
	
	gl_Position = modelViewProjectionMatrix * position;
}